/**
 * Created by Let Aurn IV on 22/09/2015.
 */

/*global  $*/

Notification = window.Notification || {};

Notification = function () {

    'use strict';
    var number = 0;
    var incPosition = 0;
    var template = function (text, position) {
        incPosition = number * 120;
        number = number + 1;
        var textHtml = text;
        var style;
        switch (parseInt(position, 10)) {
            case 1:
                style = "top:" + incPosition + "px; left:10px;";
                break;
            case 2:
                style = "top:" + incPosition + "px; right:20px;";
                break;
            case 3:
                style = "bottom:" + incPosition + "px; right:20px;margin-bottom: 10px;";
                break;
            case 4:
                style = "bottom:" + incPosition + "px; left:10px;margin-bottom: 10px;";
                break;
            default:
                ;
        }
        var is_image = document.getElementById("display_product_image").value;
        if(is_image == 0) {
            style += 'padding-left: 10px;';
        }
        return {
            id: number,
            content: '<div class="live-sale-notify notification-' + number + ' " style="' + style + '!important;">' +
            textHtml +
            '</div>'
        };
    };
    var hide = function (id) {
        jQuery(document).find('.notification-' + id).remove();
        number = number - 1;
        if(number  < 0){
            number = 0;
        }
    };
    var create = function (text, animation, position, delay) {
		
        var notification = template(text, position);
        var arrout = ["fadeOutDown","bounceOutDown","zoomOut"];
        var animationtmp = animation;
        if(arrout.indexOf(animation) !== -1){
             animationtmp = '';
        }
        jQuery(notification.content).addClass('animated ' + animationtmp).appendTo('body');
        if (!delay) {
            delay = 2;
        }
        setTimeout(function () {
            if(arrout.indexOf(animation) !== -1){
                jQuery(document).find('.notification-' + notification.id).addClass('animated ' + animation);

                setTimeout(function () {
                    hide(notification.id);
                },1000);
            }else {
            hide(notification.id);
            }
        }, 1000 * delay);
        jQuery('body').on('click','.wc_feed_close_btn',function(){
            if(arrout.indexOf(animation) !== -1){
                jQuery(document).find('.notification-' + notification.id).addClass('animated ' + animation);
                setTimeout(function () {
                    hide(notification.id);
                },1000);
            }else {
            hide(notification.id);
            }
        });
    };

    return {
        create: create
    };

}();